Loading...
Searching...
No Matches
Naming Conventions

The following naming conventions are used for the OpenMesh code:

Files:

- `MyClass.cc` for C++-Implementation of class `MyClass`
- `MyClassT_impl.hh` for Header only C++-Implementation of template class `MyClass`
- `MyClass.hh` for C++-Header of class `MyClass`

Classes:

- Class names start with a capital letter: `MyClass`
- Class templates end with `T:` `MyClassTemplateT`

Variables:

- One leading underscore for parameters in function-calls: `_var`
- One trailing underscore for member-variables: `var_`
- Two trailing underscores for static member-variables: `var__`

Functions:

- Words are separated by underscores: `my_function()`

Accessing members:

- To get the member `xxx_` use `const& xxx() const`
- To set the member `xxx_` use `void set_xxx(arg)`